package com.kingdee.eas.custom.integration.apimgt;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOpenPlatformAuthBillInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractOpenPlatformAuthBillInfo()
    {
        this("id");
    }
    protected AbstractOpenPlatformAuthBillInfo(String pkField)
    {
        super(pkField);
        put("apiEntry", new com.kingdee.eas.custom.integration.apimgt.OpenPlatformAuthBillApiEntryCollection());
    }
    /**
     * Object:开放平台授权单's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:开放平台授权单's 平台property 
     */
    public String getPlatform()
    {
        return getString("platform");
    }
    public void setPlatform(String item)
    {
        setString("platform", item);
    }
    /**
     * Object:开放平台授权单's 密钥property 
     */
    public String getAppSecret()
    {
        return getString("appSecret");
    }
    public void setAppSecret(String item)
    {
        setString("appSecret", item);
    }
    /**
     * Object:开放平台授权单's 失效日期property 
     */
    public java.util.Date getExpireDate()
    {
        return getDate("expireDate");
    }
    public void setExpireDate(java.util.Date item)
    {
        setDate("expireDate", item);
    }
    /**
     * Object: 开放平台授权单 's api分录 property 
     */
    public com.kingdee.eas.custom.integration.apimgt.OpenPlatformAuthBillApiEntryCollection getApiEntry()
    {
        return (com.kingdee.eas.custom.integration.apimgt.OpenPlatformAuthBillApiEntryCollection)get("apiEntry");
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("078A24F5");
    }
}